GeometryDecoder Class |
Namespace: RhinoInside.Revit.Convert.Geometry
The GeometryDecoder type exposes the following members.
Name | Description | |
---|---|---|
![]() ![]() ![]() | ToBoundingBox(BoundingBoxXYZ) |
Converts the specified Autodesk.Revit.DB.BoundingBoxXYZ to an equivalent Rhino.Geometry.BoundingBox.
|
![]() ![]() ![]() | ToBoundingBox(Outline) |
Converts the specified Autodesk.Revit.DB.Outline to an equivalent Rhino.Geometry.BoundingBox.
|
![]() ![]() ![]() | ToBoundingBox(BoundingBoxXYZ, Transform) |
Converts the specified Autodesk.Revit.DB.BoundingBoxXYZ to an equivalent Rhino.Geometry.BoundingBox and outputs the conversion transform.
|
![]() ![]() ![]() | ToBox |
Converts the specified Autodesk.Revit.DB.BoundingBoxXYZ to an equivalent Rhino.Geometry.Box.
|
![]() ![]() ![]() | ToBrep(Face) |
Converts the specified Autodesk.Revit.DB.Face to an equivalent Rhino.Geometry.Brep.
|
![]() ![]() ![]() | ToBrep(Solid) |
Converts the specified Autodesk.Revit.DB.Solid to an equivalent Rhino.Geometry.Brep.
|
![]() ![]() ![]() | ToCurve(Arc) |
Converts the specified Autodesk.Revit.DB.Arc to an equivalent Rhino.Geometry.Curve.
|
![]() ![]() ![]() | ToCurve(Curve) |
Converts the specified Autodesk.Revit.DB.Curve to an equivalent Rhino.Geometry.Curve.
|
![]() ![]() ![]() | ToCurve(CurveLoop) |
Converts the specified Autodesk.Revit.DB.CurveLoop to an equivalent Rhino.Geometry.Curve.
|
![]() ![]() ![]() | ToCurve(CylindricalHelix) |
Converts the specified Autodesk.Revit.DB.CylindricalHelix to an equivalent Rhino.Geometry.Curve.
|
![]() ![]() ![]() | ToCurve(Ellipse) |
Converts the specified Autodesk.Revit.DB.Ellipse to an equivalent Rhino.Geometry.Curve.
|
![]() ![]() ![]() | ToCurve(HermiteSpline) |
Converts the specified Autodesk.Revit.DB.HermiteSpline to an equivalent Rhino.Geometry.Curve.
|
![]() ![]() ![]() | ToCurve(Line) |
Converts the specified Autodesk.Revit.DB.Line to an equivalent Rhino.Geometry.Curve.
|
![]() ![]() ![]() | ToCurve(NurbSpline) |
Converts the specified Autodesk.Revit.DB.NurbSpline to an equivalent Rhino.Geometry.Curve.
|
![]() ![]() | ToCurveMany(CurveArrArray) |
Converts the specified CurveArrArray to a Rhino Curve IEnumerable.
|
![]() ![]() | ToCurveMany(CurveArray) |
Converts the specified CurveArrArray to a Rhino Curve IEnumerable.
|
![]() ![]() | ToCurves |
Converts the specified CurveArray to an array of C0 continuous Rhino Curves.
|
![]() ![]() | ToGeometryBase |
Converts the specified GeomertyObject to an equivalent Revit GeometryBase object.
|
![]() ![]() ![]() | ToMesh |
Converts the specified Autodesk.Revit.DB.Mesh to an equivalent Rhino.Geometry.Mesh.
|
![]() ![]() | ToModelLength |
Converts the specified length to an equivalent Rhino model length.
|
![]() ![]() ![]() | ToPlane |
Converts the specified Autodesk.Revit.DB.Plane to an equivalent Rhino.Geometry.Plane.
|
![]() ![]() ![]() | ToPoint |
Converts the specified Autodesk.Revit.DB.Point to an equivalent Rhino.Geometry.Point.
|
![]() ![]() ![]() | ToPoint2d |
Converts the specified Autodesk.Revit.DB.UV to an equivalent Rhino.Geometry.Point2d.
|
![]() ![]() ![]() | ToPoint3d |
Converts the specified Autodesk.Revit.DB.XYZ to an equivalent Rhino.Geometry.Point3d.
|
![]() ![]() | ToPolyCurve(CurveArray) |
Converts the specified CurveArray to an equivalent Rhino PolyCurve.
|
![]() ![]() | ToPolyCurve(CurveLoop) |
Converts the specified CurveLoop to an equivalent Rhino PolyCurve.
|
![]() ![]() ![]() | ToPolylineCurve |
Converts the specified Autodesk.Revit.DB.PolyLine to an equivalent Rhino.Geometry.PolylineCurve.
|
![]() ![]() ![]() | ToTransform |
Converts the specified Autodesk.Revit.DB.Transform to an equivalent Rhino.Geometry.Transform.
|
![]() ![]() ![]() | ToVector2d |
Converts the specified Autodesk.Revit.DB.UV to an equivalent Rhino.Geometry.Vector2d.
|
![]() ![]() ![]() | ToVector3d |
Converts the specified Autodesk.Revit.DB.XYZ to an equivalent Rhino.Geometry.Vector3d.
|